dofile("data/scripts/lib/utilities.lua")

local player = get_players()[1]
local x, y = EntityGetTransform(player)

local e_rhair = EntityGetWithName("reisen_hair")
local e_rhairR = EntityGetWithName("reisen_hairR")
local e_rhairL = EntityGetWithName("reisen_hairL")

local rhair_VerletPhysics = EntityGetFirstComponent(e_rhair, "VerletPhysicsComponent")
local rhairR_VerletPhysics = EntityGetFirstComponent(e_rhairR, "VerletPhysicsComponent")
local rhairL_VerletPhysics = EntityGetFirstComponent(e_rhairL, "VerletPhysicsComponent")


if ComponentGetValue( rhair_VerletPhysics, "m_is_culled_previous" ) == "1" then
    EntityRemoveFromParent(e_rhair)
    EntityKill(e_rhair)
    EntityLoad("mods/reisen_player_character/files/verlet_chains/reisen_hair/reisen_hair.xml",x,y)
    local new_rhair = EntityGetWithName("reisen_hair")
    EntityAddChild(player,new_rhair)
end

if ComponentGetValue( rhairR_VerletPhysics, "m_is_culled_previous" ) == "1" then
    EntityRemoveFromParent(e_rhairR)
    EntityKill(e_rhairR)
    EntityLoad("mods/reisen_player_character/files/verlet_chains/reisen_hair/reisen_hairR.xml",x,y)
    local new_rhairR = EntityGetWithName("reisen_hairR")
    EntityAddChild(player,new_rhairR)
end

if ComponentGetValue( rhairL_VerletPhysics, "m_is_culled_previous" ) == "1" then
    EntityRemoveFromParent(e_rhairL)
    EntityKill(e_rhairL)
    EntityLoad("mods/reisen_player_character/files/verlet_chains/reisen_hair/reisen_hairL.xml",x,y)
    local new_rhairL = EntityGetWithName("reisen_hairL")
    EntityAddChild(player,new_rhairL)
end
